Bug 1730459 (CVE-2019-2766) - CVE-2019-2766 OpenJDK: Insufficient permission checks for file:// URLs on Windows (Networking, 8213431)
Summary: CVE-2019-2766 OpenJDK: Insufficient permission checks for file:// URLs on Win...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-2766
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1724463
TreeView+ depends on / blocked
 
Reported: 2019-07-16 19:09 UTC by Tomas Hoger
Modified: 2019-10-02 08:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-17 02:40:40 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2019-07-16 19:09:44 UTC
A flaw was found in the file:// protocol handler for Windows operating system.  An insufficient permission check could cause a remote attacker to gain access to sensitive information.

This issue did not affect OpenJDK builds for Linux.

Comment 1 Tomas Hoger 2019-07-16 21:04:31 UTC
Public now via Oracle CPU July 2019:

https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixJAVA

Fixed in Oracle Java SE 12.0.2, 11.0.4, 8u221, and 7u231.

Comment 2 Product Security DevOps Team 2019-07-17 02:40:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2766


Note You need to log in before you can comment on or make changes to this bug.